﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.IO;

namespace ask7
{
    public partial class Form1 : Form
    {
        SqlConnection connection;
        SqlDataAdapter sqlAdapter;
        String database, host , query;
        DataTable dt;
        SqlCommand command;
        public Form1()
        {
            InitializeComponent();

            
            
            bindingNavigator1.BindingSource = bindingSource1;

            database = "ENOIKIASEIS_AYTOKINHTON_TEISERRON";
            host = "A-02";

            

            
            
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new SqlConnection("Data Source=" + host + ";Initial Catalog=" + database + ";Integrated Security=True");
            connection.Open();

            if (connection.State == ConnectionState.Open)
            {
                MessageBox.Show("Connection Established!");
            }
            else
            {
                MessageBox.Show("Connection Error!");
                Application.Exit();
            }

            query = "Select * from AYTOKINITA";

            sqlAdapter = new SqlDataAdapter(query, connection);
            
            sqlAdapter.Fill(dataSet1);
                             
            
            bindingSource1.DataSource = dataSet1.Tables[0];
            bindingNavigator1.Refresh();

            textBox1.DataBindings.Add(new System.Windows.Forms.Binding("Text", bindingSource1, "KA", true));
            textBox2.DataBindings.Add(new System.Windows.Forms.Binding("Text", bindingSource1, "MARKA", true));
            textBox3.DataBindings.Add(new System.Windows.Forms.Binding("Text", bindingSource1, "MONTELO", true));
            textBox4.DataBindings.Add(new System.Windows.Forms.Binding("Text", bindingSource1, "FOTO", true));

            refreshImage();

           
        }

        public void refreshImage()
        {
            String photoPath = textBox4.Text.Trim();
            if (photoPath != null && File.Exists(photoPath))
            {
                pictureBox1.Image = Image.FromFile(photoPath);
            }
            else
            {
                pictureBox1.Image = Image.FromFile("C:/error.png");
            }

        }

        private void bindingNavigator1_RefreshItems(object sender, EventArgs e)
        {
            refreshImage();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            String openPath;
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                openPath = openFileDialog1.InitialDirectory + openFileDialog1.FileName;
                textBox4.Text = openPath;
                pictureBox1.Image = Image.FromFile(openPath);
                command = new SqlCommand("update AYTOKINITA set FOTO='"+openPath+"' where KA="+textBox1.Text+";",connection);
                command.ExecuteNonQuery();
            }
        }

        private void Form1_FormClosed(object sender, FormClosedEventArgs e)
        {
            connection.Close();
        }
    }
}
